%define name	as6edriver
%define version	0.5
%define release	%mkrel 3

Name: 		%{name}
Version:	%{version}
Release: 	%{release}
Summary: 	Linux driver for the Artec AS6E parallel port interface scanner
URL: 		http://as6edriver.sourceforge.net/
Group:		Graphics
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires:	glibc-devel
Epoch: 1
ExclusiveArch: x86_64 %{ix86}

%description
The as6edriver is a driver for the Artec AS6E parallel port
interface scanner. It is still in development, but it seems to
work for most people.
Version 0.4.2 updated the driver for SANE version 1.0.3 and 
2.4 series kernels. As of version 0.3, it works in EPP mode, 
cutting scan times roughly in half!

SANE is now supported and included in sane packages.

%prep
%setup -q 

%build
%configure
%make

%install
mkdir -p %{buildroot}/{%{_sysconfdir},%{_bindir}}
install -m 755 as6edriver/as6edriver %{buildroot}/%{_bindir}
#install -m 644 as6e.conf %{buildroot}/%{_sysconfdir}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL README USE
%attr(4755,root,root) %{_bindir}/as6edriver
#%config(noreplace) %{_sysconfdir}/as6e.conf



%changelog
* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:0.5-3mdv2009.0
+ Revision: 226174
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1:0.5-2mdv2008.1
+ Revision: 122106
- kill re-definition of %%buildroot on Pixel's request
- import as6edriver


* Sun Apr 30 2006 Emmanuel Blindauer <blindauer@mandriva.org> 0.5-2mdk
- fix ExclusiveArch

* Thu Jan 05 2006 Lenny Cartier <lenny@mandriva.com> 1:0.5-1mdk
- 0.5

* Mon Dec 15 2003 Franck Villaume <fvill@freesurf.fr> 0.49-2mdk
- add BuildRequires : glibc-devel

* Mon May 05 2003 Marcel Pol <mpol@gmx.net> 0.49-1mdk
- 0.4.9
- rebuild for rpm 4.2

* Sat Jan 26 2002 Yves Duret <yduret@mandrakesoft.com> 0.4.2-2mdk
- rebuild
- spec clan up and more macros

* Fri Jul 27 2001 Yves Duret <yduret@mandrakesoft.com> 0.4.2-1mdk
- mandrakeificazion from spec by Buchan Milne <bgmilne@cae.co.za>

* Tue Jul 24 2001 Buchan Milne <bgmilne@cae.co.za>
- Initial spec file created by autospec ver. 0.6 with rpm 2.5 compatibility
